

#define GWL_HINSTANCE -6

#pragma BEGINDUMP

#include <windows.h>
#include <psapi.h>
#include <hbapi.h>

#include "hbapiitm.h"
#include "commctrl.h"
#include "commoncontrols.h"
#include "dbt.h"
#include "hbapifs.h"
#include "hbwapi.h"

#include <mgdefs.h>

// http://msdn.microsoft.com/en-us/library/ms684139(VS.85).aspx
typedef BOOL ( WINAPI *LPFN_ISWOW64PROCESS ) ( HANDLE, PBOOL );

HB_FUNC( ISWOW64 )
{
   BOOL bIsWow64 = FALSE;

   LPFN_ISWOW64PROCESS fnIsWow64Process;

   fnIsWow64Process = ( LPFN_ISWOW64PROCESS ) GetProcAddress( GetModuleHandle( "kernel32" ), "IsWow64Process" );
   if( NULL != fnIsWow64Process )
   {
      fnIsWow64Process( GetCurrentProcess(), &bIsWow64 );
   }

   hb_retl( bIsWow64 );
}


#include "c_registry.c" 

#pragma ENDDUMP

*
*
*